Priority: Normal   

Assignee: Marek Hulán   

Category: Templates   

Target version: 1.14.0   

Difficulty:  Fixed in Releases:  
Bugzilla link: 1374344 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3919

  

Description

When foreman_url is used in a template which is rendered out of controller context it fails with url_for. I'm afraid it's not reproducible

with pure Foreman atm but the Renderer should include url helpers so once it's included, all it's macros can be used. The issue is

easily reproducible from remote execution plugin, when foreman_url is put in job template and then previewed.

Related issues:

Related to Foreman - Bug #16899: All help buttons are broken Closed 10/13/2016

Associated revisions

Revision aff897f8 - 10/06/2016 03:25 AM - Marek Hulán

Fixes #16806 - include renderer url dependencies

History

#1 - 10/05/2016 08:23 AM - Marek Hulán

- Subject changed from foreman_url template macro can't be used outside controller context

 to foreman_url template macro can't be used outside controller context

- Category set to Templates

- Status changed from New to Assigned

- Assignee set to Marek Hulán

- Priority changed from High to Normal

#2 - 10/05/2016 08:28 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3919 added

#3 - 10/06/2016 01:56 AM - Marek Hulán

- Target version set to 1.5.0

#4 - 10/06/2016 04:03 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset aff897f876e43d7201b408de46e0d0a8ba9190fe.

#5 - 10/10/2016 03:20 AM - Dominic Cleal

- translation missing: en.field_release set to 190

#6 - 10/13/2016 07:48 AM - Marek Hulán

- Related to Bug #16899: All help buttons are broken added
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/aff897f876e43d7201b408de46e0d0a8ba9190fe


#7 - 10/13/2016 08:09 AM - Dominic Cleal

- translation missing: en.field_release changed from 190 to 189

Moving due to the issue and complex fix in #16899.
